Skip to content

Detach a Security Group from a Group

DELETE
/api/v1/scaler/scalegroups/security_groups/{scaler_id}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/security_groups/{scaler_id}/?security_group_id=<SECURITY_GROUP_ID>&project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Detaches a security group from the auto scaling group, identified by the security_group_id query parameter (the security group’s id).

scaler_id
required
integer

The id of the auto scaling group, as returned by List.

Example

12345
security_group_id
required
integer

The id of the attached security group to detach.

Example

<SECURITY_GROUP_ID>
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the group.

Example

<LOCATION>

Successful response

Media typeapplication/json

Security group detach confirmation.

object
code
integer
data
object
errors
object
message
string

Example

{
"code": 200,
"message": "Security Group Detaching Successfully"
}